import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataLocalSensitiveFileConfig extends cdktf.TerraformMetaArguments {
    /**
    * Path to the file that will be read. The data source will return an error if the file does not exist.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/local/d/sensitive_file#filename DataLocalSensitiveFile#filename}
    */
    readonly filename: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/local/d/sensitive_file#id DataLocalSensitiveFile#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/local/d/sensitive_file local_sensitive_file}
*/
export declare class DataLocalSensitiveFile extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "local_sensitive_file";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/local/d/sensitive_file local_sensitive_file} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataLocalSensitiveFileConfig
    */
    constructor(scope: Construct, id: string, config: DataLocalSensitiveFileConfig);
    get content(): string;
    get contentBase64(): string;
    private _filename?;
    get filename(): string;
    set filename(value: string);
    get filenameInput(): string | undefined;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-local-sensitive-file.d.ts.map